//
//	Copyright © 2005 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#include "StdAfx.h"

#include "VWFC/PluginSupport/VWPluginLibraryRoutine.h"

using namespace VWFC::PluginSupport;

VWPluginLibraryRoutine::VWPluginLibraryRoutine()
{
}

VWPluginLibraryRoutine::~VWPluginLibraryRoutine()
{
}

PluginLibraryInitFlags VWPluginLibraryRoutine::InitPluginLibrary()
{
	return (PluginLibraryInitFlags) 0;
}

PluginLibraryDisposeFlags VWPluginLibraryRoutine::DestroyPluginLibrary()
{
	return (PluginLibraryDisposeFlags) 0;
}

void VWPluginLibraryRoutine::SetUserData(long userData)
{
}

long VWPluginLibraryRoutine::GetUserData() const
{
	return 0;
}

VCOMError VWPluginLibraryRoutine::RegisterInterfaces(void* pModule)
{
	return kVCOMError_NoError;
}

void VWPluginLibraryRoutine::CreateInterfaceInstance(const VWIID& iid, IVWUnknown** ppOutInterface)
{
	if ( ppOutInterface ) {
		*ppOutInterface	= NULL;
	}
}

void VWPluginLibraryRoutine::DeleteInterfaceInstance(const VWIID& iid, IVWUnknown* pInterface)
{
}
